// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class LockRequest extends ValidatedRequest {
    securityId;
    targetId;
    amount;
    expirationTimestamp;
    constructor({ targetId, amount, securityId, expirationTimestamp, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            amount: FormatValidation.checkAmount(),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.amount = amount;
        this.expirationTimestamp = expirationTimestamp;
    }
}
